# $Revision: 1.20 $, $Date: 2007/02/13 07:47:13 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	SMTP-Server
Summary:	Net::SMTP::Server perl module
Summary(cs.UTF-8):	Modul Net::SMTP::Server pro Perl
Summary(da.UTF-8):	Perlmodul Net::SMTP::Server
Summary(de.UTF-8):	Net::SMTP::Server Perl Modul
Summary(es.UTF-8):	Módulo de Perl Net::SMTP::Server
Summary(fr.UTF-8):	Module Perl Net::SMTP::Server
Summary(it.UTF-8):	Modulo di Perl Net::SMTP::Server
Summary(ja.UTF-8):	Net::SMTP::Server Perl モジュール
Summary(ko.UTF-8):	Net::SMTP::Server 펄 모줄
Summary(nb.UTF-8):	Perlmodul Net::SMTP::Server
Summary(pl.UTF-8):	Moduł perla Net::SMTP::Server
Summary(pt_BR.UTF-8):	Módulo Perl Net::SMTP::Server
Summary(pt.UTF-8):	Módulo de Perl Net::SMTP::Server
Summary(ru.UTF-8):	Модуль для Perl Net::SMTP::Server
Summary(sv.UTF-8):	Net::SMTP::Server Perlmodul
Summary(uk.UTF-8):	Модуль для Perl Net::SMTP::Server
Summary(zh_CN.UTF-8):	Net::SMTP::Server Perl 模块
Name:		perl-Net-SMTP-Server
Version:	1.1
Release:	6
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pnam}-%{version}.tar.gz
# Source0-md5:	29539763294a4cbe88d3e520b3de45c1
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is a complete, RFC 821 compliant, SMTP server implementation
written entirely in Perl.  It has powerful extensively and customization
facilities that allow for a variety of potential uses.

%description -l pl.UTF-8
Ten moduł oferuje kompletną, zgodną z RFC 821 implementację serwera
SMTP, napisaną całkowicie w Perlu.  Serwer ma duże możliwości rozbudowy
i dostosowania do własnych potrzeb, co umożliwia użycie go w wielu
zastosowaniach.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/Net/SMTP/Server*
# empty autosplit.ix files
#%%{perl_vendorlib}/auto/Net/SMTP
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-SMTP-Server.spec,v $
Revision 1.20  2007/02/13 07:47:13  glen
- tabs in preamble

Revision 1.19  2007/02/12 00:49:43  baggins
- converted to UTF-8

Revision 1.18  2004/11/03 22:30:37  paladine
- formatting

Revision 1.17  2004/05/07 00:39:42  ankry
- rel. 6

Revision 1.16  2004/05/06 17:57:00  ankry
- fixed perl-devel BR

Revision 1.15  2004/04/26 23:02:37  ankry
- license fixes and unification

Revision 1.14  2004/04/21 00:10:17  ankry
- ported to new bconds

Revision 1.13  2004/02/18 15:51:30  qboosh
- s/no/nb/ in Summary langs

Revision 1.12  2004/01/31 23:43:56  undefine
- release 5 for ac

Revision 1.11  2003/08/18 08:09:04  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.10  2003/05/28 13:00:54  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:24:50  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/03/01 20:21:50  radek
- should be ready for perl-5.8.0; release++

Revision 1.7  2003/02/28 10:08:27  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.6  2003/02/25 00:41:03  radek
- use the __perl macro

Revision 1.5  2003/02/18 15:37:15  ankry
- massive attack: change CPAN URLs

Revision 1.4  2002/12/03 21:34:56  ankry
- cleaning

Revision 1.3  2002/09/19 12:14:52  ankry
- removed empty autosplit.ix
- release 3

Revision 1.2  2002/08/06 19:58:20  radek
- added tests and missing directories, rel 2

Revision 1.1  2002/07/23 03:06:56  radek
- new, STBR

